﻿Imports System.Collections.ObjectModel
Imports System.ComponentModel

Public Class CustomerList
  Inherits ObservableCollection(Of Customer)

  Private Shared list As New CustomerList

  Public Shared Function GetList() As CustomerList
    Return list
  End Function

  Private Sub New()
    ' Make the constructor private, enforcing the 
    ' "factory" concept -- the only way to create
    ' an instance of this class is by calling
    ' the GetList method.
    AddItems()
  End Sub

  Public Shared Sub Reset()
    list.ClearItems()
    list.AddItems()
  End Sub

  Private Sub AddItems()
    Add(New Customer("Maria Anders"))
    Add(New Customer("Ana Trujillo"))
    Add(New Customer("Antonio Moreno"))
  End Sub
End Class
